package es.markse;

public abstract class TVehiculoTierra extends Simple{

	protected double COSTE_FIJO;
	protected double COSTE_POR_KILOMETRO;
	
	public TVehiculoTierra(Muelle muelleOrigen, Puerto puertoOrigen, Fecha fechaInicioTrayecto, Muelle muelleDestino, Puerto puertoDestino, Fecha fechaFinTrayecto) {
        super(muelleOrigen, puertoOrigen, fechaInicioTrayecto, muelleDestino, puertoDestino, fechaFinTrayecto);
    }
	
	/**************************************************
	 * METODOS QUE SE APLICARAN A VEHICULOS DE TIERRA * 
	 **************************************************/
	
	 /**
     * Método que calcula el coste del trayecto por camión
     * @return Coste del trayecto en euros
     */
    @Override
    protected double costeTrayecto() {
        return COSTE_FIJO + (this.distanciaKilometros * COSTE_POR_KILOMETRO);
    }
}
